package ru.micord.ervu.security.esia.model;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * @author Eduard Tihomirov
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class AddressModel implements Serializable {

  private static final long serialVersionUID = 1L;

  private String type;

  private String zipCode;

  private String countryId;

  private String addressStr;

  private String region;

  private String city;

  private String street;

  private String house;

  private String building;

  private String frame;

  private String flat;

  private String fiasCode;

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public String getZipCode() {
    return zipCode;
  }

  public void setZipCode(String zipCode) {
    this.zipCode = zipCode;
  }

  public String getCountryId() {
    return countryId;
  }

  public void setCountryId(String countryId) {
    this.countryId = countryId;
  }

  public String getAddressStr() {
    return addressStr;
  }

  public void setAddressStr(String addressStr) {
    this.addressStr = addressStr;
  }

  public String getRegion() {
    return region;
  }

  public void setRegion(String region) {
    this.region = region;
  }

  public String getCity() {
    return city;
  }

  public void setCity(String city) {
    this.city = city;
  }

  public String getStreet() {
    return street;
  }

  public void setStreet(String street) {
    this.street = street;
  }

  public String getHouse() {
    return house;
  }

  public void setHouse(String house) {
    this.house = house;
  }

  public String getBuilding() {
    return building;
  }

  public void setBuilding(String building) {
    this.building = building;
  }

  public String getFrame() {
    return frame;
  }

  public void setFrame(String frame) {
    this.frame = frame;
  }

  public String getFlat() {
    return flat;
  }

  public void setFlat(String flat) {
    this.flat = flat;
  }

  public String getFiasCode() {
    return fiasCode;
  }

  public void setFiasCode(String fiasCode) {
    this.fiasCode = fiasCode;
  }
}
